NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | List of all members
NXOpen.CAE.CrossSectionParameters Class Reference

This class is worked as a packet of information that can be used to change cross-section state. More...

Inheritance diagram for NXOpen.CAE.CrossSectionParameters:
NXOpen.TaggedObject NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe bool GetAbsoluteValue ()
 Ask whether all values are absolute values More...
 
unsafe int GetBeamElement ()
 Ask beam element ID More...
 
unsafe NXOpen.CAE.Result.BeamEnd GetBeamEnd ()
 Ask beam end More...
 
unsafe NXOpen.CAE.Result.Complex GetComplexCriterion ()
 If result is complex it returns which component is set(like real or imaginary) More...
 
unsafe bool GetElementResult ()
 Query Element Result value More...
 
unsafe
NXOpen.CAE.Result.ElementValueCriterion 
GetElementValueCriterion ()
 Ask how element the result is defined. More...
 
unsafe double GetFilletRadius ()
 Return the fillets flag More...
 
unsafe bool GetFillets ()
 Return the fillets flag More...
 
unsafe NXOpen.CAE.BaseResultType GetGenericResultType ()
 Ask Result type More...
 
unsafe NXOpen.CAE.ResultParameters GetModelRangeParameters ()
 Ask model range parameters More...
 
unsafe double GetPhaseAngle ()
 Ask phase angle. More...
 
unsafe NXOpen.CAE.Result.Component GetResultComponent ()
 Ask result component More...
 
unsafe double GetScale ()
 Ask scale More...
 
unsafe
NXOpen.CAE.Result.TensorDerivedAbsolute 
GetTensorComponentAbsoluteValue ()
 Get the method used when calculating the absolute values for the derived components of NXOpen.CAE.Result.DataType.Tensor like NXOpen.CAE.Result.Component.MaximumPrincipal More...
 
unsafe NXOpen.Unit GetUnit ()
 Ask result unit More...
 
unsafe void MakeElementResult (bool elementResult)
 Make Nodal result to Element Result. More...
 
unsafe void SetAbsoluteValue (bool absolute)
 Set all values to absolute values. More...
 
unsafe void SetBeamElement (int beamEid)
 Set beam element ID More...
 
unsafe void SetBeamEnd (NXOpen.CAE.Result.BeamEnd beamEnd)
 Set beam end More...
 
unsafe void SetComplexCriterion (NXOpen.CAE.Result.Complex complex)
 Set complex criteria More...
 
unsafe void SetElementValueCriterion (NXOpen.CAE.Result.ElementValueCriterion criteria)
 Set how element the result is defined More...
 
unsafe void SetFilletRadius (double filletRadius)
 Turns on the fillets flag More...
 
unsafe void SetFillets (bool fillets)
 Turns on the fillets flag More...
 
unsafe void SetGenericResultType (NXOpen.CAE.BaseResultType type)
 Set Result type More...
 
unsafe void SetPhaseAngle (double angle)
 Sets the phase angle at which result will be evaluated. More...
 
unsafe void SetResultComponent (NXOpen.CAE.Result.Component component)
 Set result component More...
 
unsafe void SetScale (double scale)
 Set scale. More...
 
unsafe void SetTensorComponentAbsoluteValue (NXOpen.CAE.Result.TensorDerivedAbsolute absolute)
 Set the method used when calculating the absolute values for the derived components of NXOpen.CAE.Result.DataType.Tensor like NXOpen.CAE.Result.Component.MaximumPrincipal More...
 
unsafe void SetUnit (NXOpen.Unit unit)
 Set result unit More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 

Detailed Description

This class is worked as a packet of information that can be used to change cross-section state.


Use NXOpen.CAE.ResultManager to create an NXOpen.CAE.CrossSectionParameters

To obtain an instance of this class use NXOpen.Session.ResultManager .

Created in NX7.5.0

Member Function Documentation

unsafe bool NXOpen.CAE.CrossSectionParameters.GetAbsoluteValue ( )
inline

Ask whether all values are absolute values

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe int NXOpen.CAE.CrossSectionParameters.GetBeamElement ( )
inline

Ask beam element ID

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe NXOpen.CAE.Result.BeamEnd NXOpen.CAE.CrossSectionParameters.GetBeamEnd ( )
inline

Ask beam end

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe NXOpen.CAE.Result.Complex NXOpen.CAE.CrossSectionParameters.GetComplexCriterion ( )
inline

If result is complex it returns which component is set(like real or imaginary)

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe bool NXOpen.CAE.CrossSectionParameters.GetElementResult ( )
inline

Query Element Result value

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe NXOpen.CAE.Result.ElementValueCriterion NXOpen.CAE.CrossSectionParameters.GetElementValueCriterion ( )
inline

Ask how element the result is defined.

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe double NXOpen.CAE.CrossSectionParameters.GetFilletRadius ( )
inline

Return the fillets flag

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe bool NXOpen.CAE.CrossSectionParameters.GetFillets ( )
inline

Return the fillets flag

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe NXOpen.CAE.BaseResultType NXOpen.CAE.CrossSectionParameters.GetGenericResultType ( )
inline

Ask Result type

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe NXOpen.CAE.ResultParameters NXOpen.CAE.CrossSectionParameters.GetModelRangeParameters ( )
inline

Ask model range parameters

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe double NXOpen.CAE.CrossSectionParameters.GetPhaseAngle ( )
inline

Ask phase angle.

If complex result is set to Phaseangle type then user can specify an angle at which result will be evaluated

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe NXOpen.CAE.Result.Component NXOpen.CAE.CrossSectionParameters.GetResultComponent ( )
inline

Ask result component

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe double NXOpen.CAE.CrossSectionParameters.GetScale ( )
inline

Ask scale

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe NXOpen.CAE.Result.TensorDerivedAbsolute NXOpen.CAE.CrossSectionParameters.GetTensorComponentAbsoluteValue ( )
inline

Get the method used when calculating the absolute values for the derived components of NXOpen.CAE.Result.DataType.Tensor like NXOpen.CAE.Result.Component.MaximumPrincipal

Created in NX8.0.1

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe NXOpen.Unit NXOpen.CAE.CrossSectionParameters.GetUnit ( )
inline

Ask result unit

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe void NXOpen.CAE.CrossSectionParameters.MakeElementResult ( bool  elementResult)
inline

Make Nodal result to Element Result.

To define what value should be used to represent an element, use NXOpen.CAE.CrossSectionParameters.SetElementValueCriterion

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
elementResult
unsafe void NXOpen.CAE.CrossSectionParameters.SetAbsoluteValue ( bool  absolute)
inline

Set all values to absolute values.

Warning: Once converted to absolute value it is not possible to revert to original values.

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
absolute
unsafe void NXOpen.CAE.CrossSectionParameters.SetBeamElement ( int  beamEid)
inline

Set beam element ID

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
beamEid
unsafe void NXOpen.CAE.CrossSectionParameters.SetBeamEnd ( NXOpen.CAE.Result.BeamEnd  beamEnd)
inline

Set beam end

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
beamEnd
unsafe void NXOpen.CAE.CrossSectionParameters.SetComplexCriterion ( NXOpen.CAE.Result.Complex  complex)
inline

Set complex criteria

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
complex
unsafe void NXOpen.CAE.CrossSectionParameters.SetElementValueCriterion ( NXOpen.CAE.Result.ElementValueCriterion  criteria)
inline

Set how element the result is defined

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
criteria
unsafe void NXOpen.CAE.CrossSectionParameters.SetFilletRadius ( double  filletRadius)
inline

Turns on the fillets flag

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
filletRadius
unsafe void NXOpen.CAE.CrossSectionParameters.SetFillets ( bool  fillets)
inline

Turns on the fillets flag

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
fillets
unsafe void NXOpen.CAE.CrossSectionParameters.SetGenericResultType ( NXOpen.CAE.BaseResultType  type)
inline

Set Result type

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
type
unsafe void NXOpen.CAE.CrossSectionParameters.SetPhaseAngle ( double  angle)
inline

Sets the phase angle at which result will be evaluated.

This is only value if complex result is set to the PhaseAngle type

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
angle
unsafe void NXOpen.CAE.CrossSectionParameters.SetResultComponent ( NXOpen.CAE.Result.Component  component)
inline

Set result component

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
component
unsafe void NXOpen.CAE.CrossSectionParameters.SetScale ( double  scale)
inline

Set scale.

This will affect all subsequent result query.

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
scale
unsafe void NXOpen.CAE.CrossSectionParameters.SetTensorComponentAbsoluteValue ( NXOpen.CAE.Result.TensorDerivedAbsolute  absolute)
inline

Set the method used when calculating the absolute values for the derived components of NXOpen.CAE.Result.DataType.Tensor like NXOpen.CAE.Result.Component.MaximumPrincipal

Created in NX8.0.1

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
absolute
unsafe void NXOpen.CAE.CrossSectionParameters.SetUnit ( NXOpen.Unit  unit)
inline

Set result unit

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
unit

The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.